<template>
  <h1>Axios Ajax</h1>
  <div v-for="(info, index) in lstInfo" :key="index">{{ info }}</div>

  <button @click="queryData">Action</button>
</template>

<script>
const axios = require("axios").default;
export default {
  name: "AxiosAjax",
  data() {
    return {
      lstInfo: ["A", "B", "C"],
    };
  },
  mounted() {
    var that = this;
    axios
      .get("http://localhost:5000/data")
      .then(function (response) {
        console.log(response.data);
        that.lstInfo = response.data;
      })
      .catch(function (error) {
        console.log(error);
      });
  },
  methods: {
    queryData() {
      var that = this;
      axios
        .get("http://localhost:5000/data/msg")
        .then(function (response) {
          console.log(response.data);
          that.lstInfo = response.data;
        })
        .catch(function (error) {
          console.log(error);
        });
    },
  },
};
</script>
